OpenapiRealms
Update realm Passkey configuration
Updates the Passkey configuration for a realm, including whether Passkey authentication is enabled. Requires 'settings.manage' permission.
Updates the Passkey configuration for a realm, including whether Passkey authentication is enabled. Requires 'settings.manage' permission.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
realmId*string
Realm ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
crossPlatformAuthenticator?boolean|null
enabled*boolean
forceEnabled?boolean
Force mode: guide users without a passkey to register one (frontend guidance only — login is never blocked).
userVerification?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/realms/string/config/passkey" \ -H "Content-Type: application/json" \ -d '{ "enabled": true }'{ "enabled": true, "forceEnabled": true, "message": "string", "updatedAt": "string"}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}